Subject: make timeout and CTRL-C

From: shay shimony <[email-masked]>
Date: Sun, 26 Jun 2011 22:20:37 +0300

Hello coreutils team,

I found that if you run timeout inside make file then CTRL-C doesn't work.
Really frustrating because I use timeout to terminate deadlocked tests, but
can't stop them with CTRL-C as I used to.

To reproduce copy the following into file named Makefile:

all:
        timeout 12 sleep 10

Note there is a tab before "timeout 12 sleep 10".
Then run at same directory where the file is located "make" and try to press
CTRL-C.

Notes:
CTRL-Z works.
When executing timeout without make CTRL-C works.
When executing make without timeout CTRL-C works.

Thanks,
Shay